<?php

namespace lc\wechat\wxpay\database;

/**
 * @desc 	企业支付到零钱用户类
 */
class Transfer extends Base
{
    /**
     * @desc    设置企业付款到零钱请求参数字段的值
     *
     * @param string $key 字段KEY
     * @param   string  mixed   字段值
     */
    public function setAttributes($key, $value)
    {
        $this->values[$key] = $value;
    }

    /**
     * @desc    获取企业付款到零钱请求参数字段已设置的值
     *
     * @param string $key 字段KEY
     */
    public function getAttributes($key)
    {
        return $this->isAttributesSet($key) ? $this->values[$key] : '';
    }

    /**
     * @desc    判断企业付款到零钱请求参数字段的值是否已设置
     *
     * @param string $key 字段KEY
     *
     * @return  bool
     */
    public function isAttributesSet($key)
    {
        return array_key_exists($key, $this->values);
    }
}
